<?php
session_start();
require_once 'includes/header.php';
require_once 'includes/config.php';
$error=false;
$errors=array();
// avoid user arriving to this page without logging in
if(!isset($_SESSION['user_logged_in']) && $_SESSION['user_logged_in']!=TRUE )
{
	header('Location:login.php');

}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
	
	
	$fname=$_POST['fname'];
	
	
	
	
	
	
	
	if(empty($fname)){
		$error=true;
		$errors['fname']='Please enter Notification Name';
	}
	
	
	
	
	if($error==false)
	{
		$createCustomer=mysqli_query($con,"INSERT INTO notifications (notification,date,status) VALUES('".$fname."','".date('Y-m-d H:i:s')."',1)");
		
		if($createCustomer){
			$errors['success']='Notification created successfully.';
		}else{
			$error=true;
			$errors['error']='Something went wrong!!!, Please try again.';
		}
	}
	
	
}

?>
 <div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">Add Notification</h4>
                  <p class="card-category"></p>
                </div>
                <div class="card-body">

<?php

if (isset($error) && $error==false && isset($errors['success'])) {
	echo '<div class="alert alert-success" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['success'].'</div>';
} 

if (isset($error) && $error==true && isset($errors['error'])) {
	echo '<div class="alert alert-danger" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['error'].'</div>';
} 

?>

  <form role="form" method="post" enctype="multipart/form-data">
   <div class="box-body">
   

   
   <div class="row">
   
   <div class="col-md-12">
   
   <div class="form-group">
   <label>Notification</label>
	<textarea type="text" name="fname" required rows="5" class="form-control"  ></textarea>
	<?php if($error==true && isset($errors['fname'])){?>
		<p class="error"><?php echo $errors['fname'];?></p>
	<?php } ?>
   </div>
   </div>
   
   
   
   </div>
   
   
   
   <div class="box-footer">
		<button type="submit" class="btn btn-primary">Save</button>
   </div>
			  
   </form>
  </div>
  </div>
  </div>
  </div>
  </div>
  </div>
<script>   CKEDITOR.replace('fname');   </script>
<?php include_once 'includes/footer.php'; ?>